/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { createStateResource, StateResource } from '@alfa-client/tech-shared';
import { createApiRootResource } from 'libs/api-root-shared/test/api-root';
import { ApiRootResource } from '../api-root.model';
import { ApiRootPartialState, initialState } from './api-root.reducer';
import * as ApiRootSelectors from './api-root.selectors';

describe('ApiRoot Selectors', () => {

	let state: ApiRootPartialState;

	const apiRoot: StateResource<ApiRootResource> = createStateResource(createApiRootResource());

	beforeEach(() => {
		state = {
			ApiRootState: {
				...initialState,
				apiRoot
			}
		}
	});

	describe('apiRootSelector', () => {

		it('should return historieList', () => {
			const result = ApiRootSelectors.apiRoot(state);

			expect(result).toBe(apiRoot);
		})
	})
});