import { CommandResource } from '@alfa-client/command-shared';
import { createStateResource, StateResource } from '@alfa-client/tech-shared';
import { createCommandResource } from 'libs/command-shared/test/command';
import { BescheidPartialState, initialState } from './bescheid.reducer';

import * as BescheidSelectors from './bescheid.selectors';

describe('Bescheid Selectors', () => {

	let state: BescheidPartialState;

	const bescheidCommand: StateResource<CommandResource> = createStateResource(createCommandResource());

	beforeEach(() => {
		state = {
			BescheidState: {
				...initialState,
				bescheidCommand
			}
		}
	})

	describe('bescheidCommand', () => {

		it('should return bescheidCommand from state', () => {
			expect(BescheidSelectors.bescheidCommand.projector(state.BescheidState)).toEqual(bescheidCommand);
		})
	})
})