import { Injectable } from '@angular/core';
import { CommandResource } from '@alfa-client/command-shared';
import { StateResource } from '@alfa-client/tech-shared';
import { VorgangWithEingangResource } from '@alfa-client/vorgang-shared';
import { Observable } from 'rxjs';
import { BescheidFacade } from './+state/bescheid.facade';
import { buildCreateBescheidCommand } from './bescheid.util';

@Injectable()
export class BescheidService {

	constructor(private facade: BescheidFacade){ }

	public getBescheidCommand(): Observable<StateResource<CommandResource>> {
		return this.facade.getBescheidCommand();
	}

	public createBescheid(vorgangWithEingang: VorgangWithEingangResource): void {
		this.facade.createBescheid(vorgangWithEingang, buildCreateBescheidCommand());
	}
}