/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { HttpRequest } from '@angular/common/http';
import { faker } from '@faker-js/faker';
import { HttpMethod } from '../tech.model';
import { XhrInterceptor } from './xhr.interceptor';

describe('XhrInterceptor', () => {
	let interceptor: XhrInterceptor;

	const url: string = faker.internet.url();

	beforeEach(() => {
		interceptor = new XhrInterceptor();
	})

	it('should be created', () => {
		expect(interceptor).toBeTruthy();
	});

	describe('addHeader', () => {

		it('should add X-Requested-With header', () => {
			const request: HttpRequest<unknown> = new HttpRequest(HttpMethod.GET, url);

			const result: HttpRequest<unknown> = interceptor.addHeader(request);

			expect(result.headers.get('X-Requested-With')).toEqual('XMLHttpRequest');
		})
	})
});