import { Resource } from "@ngxp/rest";
import { createDummyResource } from "libs/tech-shared/test/resource";
import { HasAnyLinkPipe } from "./has-any-link.pipe";

describe('HasAnyLinkPipe', () => {

	const oneLink: string = 'one';
	const anotherLink: string = 'another';
	const resource: Resource = createDummyResource([oneLink, anotherLink]);
	const pipe: HasAnyLinkPipe = new HasAnyLinkPipe();

	it('should return true if resource has at least on link', () => {
		const result: boolean = pipe.transform(resource, oneLink, 'notExists');

		expect(result).toBe(true);
	})
	it('resource return true if resoure has multiple links', () => {
		const result: boolean = pipe.transform(resource, oneLink, anotherLink);

		expect(result).toBe(true);
	})

	it('should return false if resource has no of given links', () => {
		const result: boolean = pipe.transform(resource, 'notExists', 'notExistsToo');

		expect(result).toBe(false);
	})

	it('should return false if resource is null', () => {
		const result: boolean = pipe.transform(null, 'notExists', 'notExistsToo');

		expect(result).toBe(false);
	})
})
