import { ComponentFixture, TestBed } from '@angular/core/testing';

import { DownloadDocumentationButtonComponent } from './download-documentation-button.component';
import { MockComponent } from 'ng-mocks';
import { DownloadButtonComponent } from '@alfa-client/ui';

describe('DownloadDocumentationButtonComponent', () => {
	let component: DownloadDocumentationButtonComponent;
	let fixture: ComponentFixture<DownloadDocumentationButtonComponent>;

	beforeEach(async () => {
		await TestBed.configureTestingModule({
			declarations: [
				DownloadDocumentationButtonComponent,
				MockComponent(DownloadButtonComponent)
			],
		}).compileComponents();

		fixture = TestBed.createComponent(DownloadDocumentationButtonComponent);
		component = fixture.componentInstance;
		component.url = 'http://someserver/alfa-doc.pdf';
		fixture.detectChanges();
	});


	it('should create', () => {
		expect(component).toBeTruthy();
	});

	it('should get file name from url', () => {
		const fileName = component.getFileName();

		expect(fileName).toEqual('alfa-doc.pdf');
	});

	it('should return downloadTitle', () => {
		component.url = 'no_url';
		component.downloadTitle = 'file.pdf'

		const fileName = component.getFileName();

		expect(fileName).toEqual('file.pdf');

	});
});
