/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { Mock, mock } from '@alfa-client/test-utils';
import { VorgangService } from '@alfa-client/vorgang-shared';
import { MockComponent } from 'ng-mocks';
import { VorgangInPostfachBreadcrumbContainerComponent } from './vorgang-in-postfach-breadcrumb-container.component';
import { VorgangInPostfachBreadcrumbComponent } from './vorgang-in-postfach-breadcrumb/vorgang-in-postfach-breadcrumb.component';

describe('VorgangInPostfachBreadcrumbContainerComponent', () => {
	let component: VorgangInPostfachBreadcrumbContainerComponent;
	let fixture: ComponentFixture<VorgangInPostfachBreadcrumbContainerComponent>;

	const vorgangService: Mock<VorgangService> = mock(VorgangService);

	beforeEach(async () => {
		await TestBed.configureTestingModule({
			declarations: [
				VorgangInPostfachBreadcrumbContainerComponent,
				MockComponent(VorgangInPostfachBreadcrumbComponent)
			],
			providers: [
				{
					provide: VorgangService,
					useValue: vorgangService
				}
			]
		})
			.compileComponents();
	});

	beforeEach(() => {
		fixture = TestBed.createComponent(VorgangInPostfachBreadcrumbContainerComponent);
		component = fixture.componentInstance;
		fixture.detectChanges();
	});

	it('should create', () => {
		expect(component).toBeTruthy();
	});

	describe('ngOnInit', () => {

		it('should call vorgang service', () => {
			component.ngOnInit();

			expect(vorgangService.getVorgangWithEingang).toHaveBeenCalled();
		})
	})
});