package de.ozgcloud.alfa.common.command;

import java.util.function.Predicate;

import lombok.AccessLevel;
import lombok.NoArgsConstructor;

@NoArgsConstructor(access = AccessLevel.PRIVATE)
public class CommandHelper {

	static final Predicate<Command> IS_DONE = command -> command.getStatus() == CommandStatus.FINISHED
			|| command.getStatus() == CommandStatus.REVOKED || command.getStatus() == CommandStatus.ERROR;

	static final Predicate<Command> IS_PENDING = command -> command.getStatus() == CommandStatus.PENDING
			|| command.getStatus() == CommandStatus.REVOKE_PENDING;

	public static final Predicate<Command> IS_REVOKEABLE = command -> command.getOrder().isRevokeable()
			&& command.getStatus() == CommandStatus.FINISHED;

	public static final Predicate<Command> IS_LOESCHANFORDERUNG = command -> command.getOrder() == CommandOrder.VORGANG_ZUM_LOESCHEN_MARKIEREN
			|| command.getOrder() == CommandOrder.LOESCH_ANFORDERUNG_ZURUECKNEHMEN;
}