package de.ozgcloud.alfa.loeschanforderung;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import de.ozgcloud.alfa.common.command.CommandOrder;
import de.ozgcloud.alfa.common.user.CurrentUserService;
import de.ozgcloud.alfa.common.user.UserRole;

@Component
class LoeschAnforderungPreAuthorizeHandler {

	@Autowired
	private LoeschAnforderungService loeschAnforderungService;
	@Autowired
	private CurrentUserService currentUserService;

	public boolean hasPermissionForOrder(String loeschAnforderungId, CommandOrder order) {
		return switch (order) {
			case VORGANG_LOESCHEN -> loeschAnforderungService.isAllowedToVorgangLoeschen(loeschAnforderungService.getById(loeschAnforderungId));
			case LOESCH_ANFORDERUNG_ZURUECKNEHMEN -> currentUserService.hasRole(UserRole.VERWALTUNG_USER);
			default -> false;
		};

	}

}
