package de.ozgcloud.alfa.common.command;

import static org.assertj.core.api.Assertions.*;
import static org.mockito.Mockito.*;

import jakarta.validation.ConstraintValidatorContext;

import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Nested;
import org.junit.jupiter.api.Test;
import org.mockito.Mock;

class RequiredOrderValidatorTest {

	private final RequiredOrderValidator validator = new RequiredOrderValidator();

	@Mock
	private RequiredOrder requiredOrder;

	@Mock
	private ConstraintValidatorContext constraintValidatorContext;

	@Nested
	class TestIsValid {

		@BeforeEach
		void init() {
			when(requiredOrder.value()).thenReturn(CommandTestFactory.ORDER);
			validator.initialize(requiredOrder);
		}

		@Test
		void shouldReturnTrue() {
			var validationResult = validator.isValid(CommandTestFactory.createCreateCommand(), constraintValidatorContext);

			assertThat(validationResult).isTrue();
		}

		@Test
		void shouldReturnFalse() {
			var validationResult = validator.isValid(
					CommandTestFactory.createCreateCommandBuilder().order(CommandOrder.ASSIGN_USER).build(),
					constraintValidatorContext);

			assertThat(validationResult).isFalse();
		}
	}

}