package de.ozgcloud.alfa.vorgang;

import static org.assertj.core.api.Assertions.*;
import static org.mockito.Mockito.*;

import org.junit.jupiter.api.DisplayName;
import org.junit.jupiter.api.Nested;
import org.junit.jupiter.api.Test;
import org.mapstruct.factory.Mappers;
import org.mockito.InjectMocks;
import org.mockito.Spy;

import de.ozgcloud.alfa.postfach.GrpcPostfachAddressTestFactory;
import de.ozgcloud.vorgang.common.grpc.GrpcObjectMapper;

class ServiceKontoMapperTest {

	@InjectMocks
	private ServiceKontoMapper mapper = Mappers.getMapper(ServiceKontoMapper.class);
	@Spy
	private GrpcObjectMapper grpcObjectMapper = Mappers.getMapper(GrpcObjectMapper.class);

	@DisplayName("From serviceKonto")
	@Nested
	class TestFromServiceKonto {

		@Test
		void shouldMap() {
			var serviceKonto = fromServiceKonto();

			assertThat(serviceKonto).usingRecursiveComparison().isEqualTo(ServiceKontoTestFactory.create());
		}

		@Test
		void shouldCallGrpcObjectMapper() {
			fromServiceKonto();

			verify(grpcObjectMapper).mapFromGrpc(GrpcPostfachAddressTestFactory.createStringBasedIdentifier());
		}

		private ServiceKonto fromServiceKonto() {
			return mapper.fromServiceKonto(GrpcServiceKontoTestFactory.create());
		}
	}
}