package de.ozgcloud.alfa.export;

import java.util.Collections;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import de.ozgcloud.alfa.vorgang.VorgangWithEingang;
import de.xoev.xdomea.AnwendungsspezifischeErweiterungType;

@Component
class AnwendungsspezifischeErweiterungTypeCreator {

	static final String KENNUNG = "IDOZGCloud1234567";
	static final String NAME = "Anwendungsspezifische Erweiterung OZGCloud Basis";

	@Autowired
	private FeldGruppeTypeCreator feldGruppeTypeCreator;

	public AnwendungsspezifischeErweiterungType create(VorgangWithEingang vorgang) {
		var anwendungsspezifischeErweiterung = new AnwendungsspezifischeErweiterungType();
		anwendungsspezifischeErweiterung.setKennung(KENNUNG);
		anwendungsspezifischeErweiterung.setName(NAME);
		anwendungsspezifischeErweiterung.getFeldgruppe().addAll(Collections.singleton(feldGruppeTypeCreator.create(vorgang)));
		return anwendungsspezifischeErweiterung;
	}
}
