package de.ozgcloud.alfa.export;

import static java.util.Optional.*;

import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Component;

import de.ozgcloud.alfa.vorgang.Antragsteller;
import de.xoev.xdomea.AllgemeinerNameType;
import de.xoev.xdomea.NameNatuerlichePersonType;

@Component
class NameNatuerlichePersonTypeCreator {

	public NameNatuerlichePersonType create(Antragsteller antragsteller) {
		var nameNatuerlichPerson = new NameNatuerlichePersonType();
		nameNatuerlichPerson.setAnrede(ofNullable(antragsteller).map(Antragsteller::getAnrede).orElse(StringUtils.EMPTY));
		nameNatuerlichPerson.setVorname(
				createAllgemeinerNameType(ofNullable(antragsteller).map(Antragsteller::getVorname).orElse(StringUtils.EMPTY)));
		nameNatuerlichPerson.setFamilienname(
				createAllgemeinerNameType(ofNullable(antragsteller).map(Antragsteller::getNachname).orElse(StringUtils.EMPTY)));
		return nameNatuerlichPerson;
	}

	private AllgemeinerNameType createAllgemeinerNameType(String name) {
		var allgemeinerName = new AllgemeinerNameType();
		allgemeinerName.setName(name);
		return allgemeinerName;
	}
}
