package de.ozgcloud.alfa.export;

import static org.assertj.core.api.Assertions.*;
import static org.mockito.Mockito.*;

import org.junit.jupiter.api.Nested;
import org.junit.jupiter.api.Test;
import org.mockito.InjectMocks;
import org.mockito.Mock;

import de.ozgcloud.alfa.vorgang.VorgangWithEingang;
import de.ozgcloud.alfa.vorgang.VorgangWithEingangTestFactory;
import de.xoev.xdomea.AnwendungsspezifischeErweiterungType;
import de.xoev.xdomea.VorgangType;

class SchriftgutobjektCreatorTest {

	@InjectMocks
	private SchriftgutobjektCreator creator;

	@Mock
	private VorgangTypeCreator vorgangTypeCreator;

	@Nested
	class TestCreate {

		private final VorgangWithEingang vorgangWithEingang = VorgangWithEingangTestFactory.create();

		private final VorgangType vorgang = VorgangTypeTestFactory.create();
		private final AnwendungsspezifischeErweiterungType anwendungsspezifischeErweiterung = AnwendungsspezifischeErweiterungTypeTestFactory.create();

		@Test
		void shouldCreateVorgangType() {
			creator.create(vorgangWithEingang, anwendungsspezifischeErweiterung);

			verify(vorgangTypeCreator).create(vorgangWithEingang, anwendungsspezifischeErweiterung);
		}

		@Test
		void shouldHaveVorgangType() {
			doReturn(vorgang).when(vorgangTypeCreator).create(vorgangWithEingang, anwendungsspezifischeErweiterung);

			var schriftgutobjekt = creator.create(vorgangWithEingang, anwendungsspezifischeErweiterung);

			assertThat(schriftgutobjekt.getVorgang()).isEqualTo(vorgang);
		}

	}

}